// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		5F63E963276A52D3002F12E5 /* LocationManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5F63E962276A52D3002F12E5 /* LocationManager.swift */; };
		5FF7337A2768F7DE0045089A /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF733792768F7DE0045089A /* AppDelegate.swift */; };
		5FF7337C2768F7DE0045089A /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF7337B2768F7DE0045089A /* SceneDelegate.swift */; };
		5FF7337E2768F7DE0045089A /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF7337D2768F7DE0045089A /* ContentView.swift */; };
		5FF733802768F7E00045089A /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5FF7337F2768F7E00045089A /* Assets.xcassets */; };
		5FF733832768F7E00045089A /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5FF733822768F7E00045089A /* Preview Assets.xcassets */; };
		5FF733862768F7E00045089A /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5FF733842768F7E00045089A /* LaunchScreen.storyboard */; };
		5FF733942768F8610045089A /* Memo.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF733932768F8610045089A /* Memo.swift */; };
		5FF733962768FAA30045089A /* MemoViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF733952768FAA30045089A /* MemoViewModel.swift */; };
		5FF733992768FD9A0045089A /* MemosRowView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF733982768FD9A0045089A /* MemosRowView.swift */; };
		5FF7339B2768FFEB0045089A /* MemoDetailView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF7339A2768FFEB0045089A /* MemoDetailView.swift */; };
		5FF7339D276903790045089A /* NewMemoView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF7339C276903790045089A /* NewMemoView.swift */; };
		5FF7339F2769045E0045089A /* ColorExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF7339E2769045E0045089A /* ColorExtension.swift */; };
		5FF733A127692B660045089A /* BackButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5FF733A027692B660045089A /* BackButton.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		5F63E962276A52D3002F12E5 /* LocationManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LocationManager.swift; sourceTree = "<group>"; };
		5FF733762768F7DE0045089A /* pg7034-memo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "pg7034-memo.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		5FF733792768F7DE0045089A /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = AppDelegate.swift; path = ../AppDelegate.swift; sourceTree = "<group>"; };
		5FF7337B2768F7DE0045089A /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = SceneDelegate.swift; path = ../SceneDelegate.swift; sourceTree = "<group>"; };
		5FF7337D2768F7DE0045089A /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		5FF7337F2768F7E00045089A /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		5FF733822768F7E00045089A /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		5FF733852768F7E00045089A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		5FF733872768F7E00045089A /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5FF733932768F8610045089A /* Memo.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Memo.swift; sourceTree = "<group>"; };
		5FF733952768FAA30045089A /* MemoViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemoViewModel.swift; sourceTree = "<group>"; };
		5FF733982768FD9A0045089A /* MemosRowView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemosRowView.swift; sourceTree = "<group>"; };
		5FF7339A2768FFEB0045089A /* MemoDetailView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MemoDetailView.swift; sourceTree = "<group>"; };
		5FF7339C276903790045089A /* NewMemoView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewMemoView.swift; sourceTree = "<group>"; };
		5FF7339E2769045E0045089A /* ColorExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorExtension.swift; sourceTree = "<group>"; };
		5FF733A027692B660045089A /* BackButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BackButton.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		5FF733732768F7DE0045089A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		5F63E961276A52C5002F12E5 /* Location */ = {
			isa = PBXGroup;
			children = (
				5F63E962276A52D3002F12E5 /* LocationManager.swift */,
			);
			path = Location;
			sourceTree = "<group>";
		};
		5FF7336D2768F7DE0045089A = {
			isa = PBXGroup;
			children = (
				5FF733782768F7DE0045089A /* pg7034-memo */,
				5FF733772768F7DE0045089A /* Products */,
			);
			sourceTree = "<group>";
		};
		5FF733772768F7DE0045089A /* Products */ = {
			isa = PBXGroup;
			children = (
				5FF733762768F7DE0045089A /* pg7034-memo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		5FF733782768F7DE0045089A /* pg7034-memo */ = {
			isa = PBXGroup;
			children = (
				5FF733902768F8370045089A /* Extensions */,
				5FF7338F2768F8280045089A /* Views */,
				5FF7338E2768F8220045089A /* Data */,
				5FF7338D2768F8100045089A /* Lifecycle */,
				5FF7337D2768F7DE0045089A /* ContentView.swift */,
				5FF7337F2768F7E00045089A /* Assets.xcassets */,
				5FF733842768F7E00045089A /* LaunchScreen.storyboard */,
				5FF733872768F7E00045089A /* Info.plist */,
				5FF733812768F7E00045089A /* Preview Content */,
			);
			path = "pg7034-memo";
			sourceTree = "<group>";
		};
		5FF733812768F7E00045089A /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				5FF733822768F7E00045089A /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		5FF7338D2768F8100045089A /* Lifecycle */ = {
			isa = PBXGroup;
			children = (
				5FF733792768F7DE0045089A /* AppDelegate.swift */,
				5FF7337B2768F7DE0045089A /* SceneDelegate.swift */,
			);
			path = Lifecycle;
			sourceTree = "<group>";
		};
		5FF7338E2768F8220045089A /* Data */ = {
			isa = PBXGroup;
			children = (
				5F63E961276A52C5002F12E5 /* Location */,
				5FF733922768F8530045089A /* Models */,
				5FF733912768F84E0045089A /* ViewModels */,
			);
			path = Data;
			sourceTree = "<group>";
		};
		5FF7338F2768F8280045089A /* Views */ = {
			isa = PBXGroup;
			children = (
				5FF733982768FD9A0045089A /* MemosRowView.swift */,
				5FF7339A2768FFEB0045089A /* MemoDetailView.swift */,
				5FF7339C276903790045089A /* NewMemoView.swift */,
				5FF733A027692B660045089A /* BackButton.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		5FF733902768F8370045089A /* Extensions */ = {
			isa = PBXGroup;
			children = (
				5FF7339E2769045E0045089A /* ColorExtension.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		5FF733912768F84E0045089A /* ViewModels */ = {
			isa = PBXGroup;
			children = (
				5FF733952768FAA30045089A /* MemoViewModel.swift */,
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		5FF733922768F8530045089A /* Models */ = {
			isa = PBXGroup;
			children = (
				5FF733932768F8610045089A /* Memo.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5FF733752768F7DE0045089A /* pg7034-memo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5FF7338A2768F7E00045089A /* Build configuration list for PBXNativeTarget "pg7034-memo" */;
			buildPhases = (
				5FF733722768F7DE0045089A /* Sources */,
				5FF733732768F7DE0045089A /* Frameworks */,
				5FF733742768F7DE0045089A /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "pg7034-memo";
			productName = "pg7034-memo";
			productReference = 5FF733762768F7DE0045089A /* pg7034-memo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		5FF7336E2768F7DE0045089A /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1110;
				LastUpgradeCheck = 1110;
				ORGANIZATIONNAME = "Patrik Gregovic (RIT Student)";
				TargetAttributes = {
					5FF733752768F7DE0045089A = {
						CreatedOnToolsVersion = 11.1;
					};
				};
			};
			buildConfigurationList = 5FF733712768F7DE0045089A /* Build configuration list for PBXProject "pg7034-memo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 5FF7336D2768F7DE0045089A;
			productRefGroup = 5FF733772768F7DE0045089A /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5FF733752768F7DE0045089A /* pg7034-memo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5FF733742768F7DE0045089A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5FF733862768F7E00045089A /* LaunchScreen.storyboard in Resources */,
				5FF733832768F7E00045089A /* Preview Assets.xcassets in Resources */,
				5FF733802768F7E00045089A /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5FF733722768F7DE0045089A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5FF7339B2768FFEB0045089A /* MemoDetailView.swift in Sources */,
				5FF7337A2768F7DE0045089A /* AppDelegate.swift in Sources */,
				5FF733992768FD9A0045089A /* MemosRowView.swift in Sources */,
				5F63E963276A52D3002F12E5 /* LocationManager.swift in Sources */,
				5FF7339F2769045E0045089A /* ColorExtension.swift in Sources */,
				5FF733A127692B660045089A /* BackButton.swift in Sources */,
				5FF7337C2768F7DE0045089A /* SceneDelegate.swift in Sources */,
				5FF733962768FAA30045089A /* MemoViewModel.swift in Sources */,
				5FF7337E2768F7DE0045089A /* ContentView.swift in Sources */,
				5FF733942768F8610045089A /* Memo.swift in Sources */,
				5FF7339D276903790045089A /* NewMemoView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		5FF733842768F7E00045089A /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5FF733852768F7E00045089A /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		5FF733882768F7E00045089A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.1;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		5FF733892768F7E00045089A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		5FF7338B2768F7E00045089A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"pg7034-memo/Preview Content\"";
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = "pg7034-memo/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "edu.rit.pg7034-memo";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		5FF7338C2768F7E00045089A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"pg7034-memo/Preview Content\"";
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = "pg7034-memo/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "edu.rit.pg7034-memo";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5FF733712768F7DE0045089A /* Build configuration list for PBXProject "pg7034-memo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5FF733882768F7E00045089A /* Debug */,
				5FF733892768F7E00045089A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5FF7338A2768F7E00045089A /* Build configuration list for PBXNativeTarget "pg7034-memo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5FF7338B2768F7E00045089A /* Debug */,
				5FF7338C2768F7E00045089A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 5FF7336E2768F7DE0045089A /* Project object */;
}
